# Uses of Interface
org.eclipse.draw2d.RoutingListener

Packages that use RoutingListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of RoutingListener in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement RoutingListener
Modifier and Type
Class
Description
`class`
`RoutingAnimator`
Animates the routing of a connection.
`static class`
`RoutingListener.Stub`
A stub implementation which implements all required methods.
Methods in org.eclipse.draw2d with parameters of type RoutingListener
Modifier and Type
Method
Description
`void`
PolylineConnection.`addRoutingListener(RoutingListener listener)`
Appends the given routing listener to the list of listeners.
`void`
PolylineConnection.`removeRoutingListener(RoutingListener listener)`
Removes the first occurence of the given listener.